Mailinglist Archive: opensuse-buildservice (89 mails)

< Previous Next >
Re: [opensuse-buildservice] Build.pm: Collax support breaks worker
On Mittwoch, 16. September 2015, 17:53:13 CEST wrote Christian Schneemann:
On 09/16/2015 05:46 PM, Jan Engelhardt wrote:

On Wednesday 2015-09-16 17:43, Christian Schneemann wrote:

[ 8s] Can't locate parent.pm in @INC (you may need to install the
parent module) (@INC contains: /.build
/usr/lib/perl5/site_perl/5.20.1/x86_64-linux-thread-multi
/usr/lib/perl5/site_perl/5.20.1
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.20.1
/usr/lib/perl5/5.20.1/x86_64-linux-thread-multi /usr/lib/perl5/5.20.1
/usr/lib/perl5/site_perl .) at /.build/Build/Collax.pm line 16.

17:44 localhorse:~ > find /usr/lib*/perl* -name 'parent.pm'
/usr/lib/perl5/5.20.1/parent.pm
17:44 localhorse:~ > rpm -qf /usr/lib/perl5/5.20.1/parent.pm
perl-5.20.1-1.3.x86_64 [opensuse 13.2]

So... what exactly is missing? It's in the normal perl package.
("use parent" is mentioned in perlobj(1) to inherit from a class.)


OK, then these errors are just on sles 11 sp3:

zauberkugel:~ # find /usr/lib*/perl* -name 'parent.pm'
/usr/lib/perl5/vendor_perl/5.10.0/parent.pm

rpm -qf /usr/lib/perl5/vendor_perl/5.10.0/parent.pm
perl-parent-0.234-1.1

Yes, sles11 sp3 is old..

Yes, I have added a perl-parent package for SLE 11 SP3 meanwhile
to OBS:Server:unstable project.

But that won't help the workers.

Could we make the dependency optional and just report
"badhost" when it is not able to load perl-parent?

That way we do not introduce a new global dependency ...

--

Adrian Schroeter
email: adrian@xxxxxxx

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284
(AG Nürnberg)

Maxfeldstraße 5
90409 Nürnberg
Germany


--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >